package models

type HappyOrchardReward struct {
	Id       int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Kind     int    `json:"kind" xorm:"not null default 1 comment('奖品类型(1:赠送商品 2:虚拟商品)') TINYINT(1)"`
	Name     string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	Nums     int    `json:"nums" xorm:"not null default 0 comment('奖品总数') INT(11)"`
	ImgUrl   string `json:"img_url" xorm:"not null default '' comment('图片地址') VARCHAR(255)"`
	Value    int    `json:"value" xorm:"not null default 0 comment('具体值(kind=2时代表虚拟币值)') INT(11)"`
	CoinId   int    `json:"coin_id" xorm:"not null default 0 comment('虚拟币id(kind=2时代表虚拟币id)') INT(11)"`
	Memo     string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	Sort     int    `json:"sort" xorm:"not null default 0 INT(11)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
